$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.11-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.11-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D38D004FBEF958B4CA98B2571C821DA60E0B71D41D9FE837D65003253C462425'
  checksumType = 'sha256'
  checksum64 = 'D38D004FBEF958B4CA98B2571C821DA60E0B71D41D9FE837D65003253C462425'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.27.11-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
